Bug 1276571 - System doesn't removed bugs' votes when update maximum votes per person to a smaller value
System doesn't removed bugs' votes when update maximum votes per person to a ...
Status: CLOSED NOTABUG
Product: Bugzilla
Classification: Community
Component: Administration (Show other bugs)
4.4
Unspecified Unspecified
unspecified Severity low (vote)
: ---
: ---
Assigned To: PnT DevOps Devs
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-30 03:44 EDT by Rony Gong
Modified: 2015-11-05 00:52 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-05 00:52:37 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rony Gong 2015-10-30 03:44:34 EDT
Description of problem:
System doesn't removed bugs' votes when update maximum votes per person to a smaller value



Version-Release number of selected component (if applicable):
4.4.10043-3

How reproducible:
Always

Steps to Reproduce:
1.Login as admin go to product_A, firstly set 'maximum votes per person' to 3
2.Then user_A vote 1 for this product's 3 bugs, it means he used out of his votes.
3.Login as admin, change 'maximum votes per person' to 2, submit

Actual results:
It show:
Checking existing votes in this product for anybody who now has too many votes for a bug...
→there were none.

Checking existing votes in this product for anybody who now has too many total votes...
→removed votes for bug 1201585 from qgong@redhat.com
→removed votes for bug 1201586 from qgong@redhat.com
→removed votes for bug 1201587 from qgong@redhat.com

Checking unconfirmed bugs in this product for any which now have sufficient votes...
→there were none


But Actually, system doesn't remove the vote that voted by user_A for these 3 bugs 


Expected results:
system should remove the votes that voted by user_A for these 3 bugs, since user_A already voted too many votes in this product, and he must voted for this bugs again. 


Additional info:
Comment 1 Jason McDonald 2015-11-01 19:25:03 EST
A note on design philosophy....

One of the design principles of Bugzilla is that when a BZ admin changes the restrictions on entering new data, that change is not automatically retroactively applied to previously entered data.

For example, when a flag is marked as inactive, it is not automatically removed from bugs that already have that flag, and when a product is closed for entering new bugs, existing bugs in that product are not deleted.

In my opinion, the same should be true in the case outlined in this bug -- when the maximum number of votes changes, existing votes should not be automatically altered.  Rather, any existing data that is inconsistent with the new settings should be shown to the user (e.g. as a link to buglist.cgi) and they can decide what to do about that data.

Note You need to log in before you can comment on or make changes to this bug.